##########################
The :mod:`gen` Module
##########################

.. automodule:: gen

*****************************
Database State
*****************************
.. automodule:: gen.dbstate
.. autoclass::  DbState
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Errors
*****************************
.. automodule:: gen.errors
.. autoclass::  DatabaseError
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass::  DateError
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass::  DbError
   :members:
   :undoc-members:
   :show-inheritance:

TODO

*****************************
Recent Files
*****************************
.. automodule:: gen.recentfiles
.. autoclass::  RecentFiles
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass::  RecentItem
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass::  RecentParser
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Sort
*****************************
.. automodule:: gen.sort
.. autoclass::  Sort
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Update callback
*****************************
.. automodule:: gen.updatecallback
.. autoclass::  UpdateCallback
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
User
*****************************
.. automodule:: gen.user
.. autoclass:: User
   :members:
   :undoc-members:
   :show-inheritance:
